function eadj = adjoint(T0, Tf, dt, a, y0, ind, etat, obs)
% Calcul de l'etat adjoint
% T0   : instant initial
% Tf   : instant final
% dt   : pas de temps
% a    : vecteurs des parametres
% y0   : condition initiale
% ind = 1 ou 2 : correspond a l'exemple de fonction f
% etat : variable d'etat du probleme direct 
% obs : donnees du probleme inverse (on suppose que obs a la meme dimension que
%     etat

Nt = round((Tf-T0)/dt);

eadj=zeros(size(etat));

% initialisation

eadj(:,Nt) = - dt * (etat(:,Nt)-obs(:,Nt));

for n=Nt-1:-1:1
  dyf=jyf(y, a, ind);
  % a completer
end

end
